Bug 109223 - PPTX: Vertical flip of child shape is not imported correctly
Summary: PPTX: Vertical flip of child shape is not imported correctly
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.1 all versions
Hardware: All All
: medium normal
Assignee: Tamás Zolnai
QA Contact:
URL:
Whiteboard: target:6.0.0 target:5.3.6 target:5.4.1
Keywords: filter:pptx
Depends on:
Blocks: PPTX
  Show dependency treegraph
 
Reported: 2017-07-19 18:47 UTC by Tamás Zolnai
Modified: 2017-08-29 09:09 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Test document with flipped shape (33.23 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2017-07-19 18:48 UTC, Tamás Zolnai
Details
Screenshot of the expected and the actual result (68.06 KB, image/png)
2017-07-19 18:51 UTC, Tamás Zolnai
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tamás Zolnai 2017-07-19 18:47:40 UTC
Description:
In the attached test document a group shape is placed with a flipV attribute. Opening it in Impress leads a wrong result. The shape and also the text inside it is displayed wrong.

Steps to Reproduce:
1. Open attached test document an check the first slide

Actual Results:  
Shape and text is rendered incorrectly.

Expected Results:
Both shape and text should be rendered correctly.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.3; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/59.0.3071.115 Safari/537.36
Comment 1 Tamás Zolnai 2017-07-19 18:48:02 UTC
Created attachment 134741 [details]
Test document with flipped shape
Comment 2 Tamás Zolnai 2017-07-19 18:51:04 UTC
Created attachment 134742 [details]
Screenshot of the expected and the actual result
Comment 3 Xisco Faulí 2017-07-19 20:51:02 UTC
Confirmed in

Version: 6.0.0.0.alpha0+
Build ID: bde72cdae1e7e001d5089c5284672c976b8e43df
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

- Version: 4.3.0.0.alpha1+
Build ID: c15927f20d4727c3b8de68497b6949e72f9e6e9e

- Version 4.1.0.0.alpha0+ (Build ID: efca6f15609322f62a35619619a6d5fe5c9bd5a)
Comment 4 Commit Notification 2017-07-29 20:38:55 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d742c0019435d0bc90c9342492583636099a057f

tdf#109223: PPTX: Vertical flip of child shape is not imported correctly

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2017-08-02 08:25:05 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c49f2c00067cbe5de714525807290b71aec57ea3&h=libreoffice-5-3

tdf#109223: PPTX: Vertical flip of child shape is not imported correctly

It will be available in 5.3.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2017-08-02 08:31:03 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=732dd5bb677c4518c48d653846b752177b56400b&h=libreoffice-5-4

tdf#109223: PPTX: Vertical flip of child shape is not imported correctly

It will be available in 5.4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Timur 2017-08-29 09:09:03 UTC
Tamás, can you please check https://bugs.documentfoundation.org/show_bug.cgi?id=100065#c9?
Lower middle and right were changed, but again they are not both correct. 
In 5.4 where this was changed I see only your bug could be related.